#
# spec file for package hexter
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           hexter
Version:        1.1.1
Release:        1.18
Summary:        A Yamaha DX7 software synthesizer for DSSI
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Sound/Midi
URL:            https://github.com/smbolton/hexter
Source0:        %{URL}/releases/download/version_%{version}/hexter-%{version}.tar.bz2
BuildRequires:  alsa-devel
BuildRequires:  dssi-devel
BuildRequires:  gtk2-devel
BuildRequires:  ladspa-devel
BuildRequires:  libjack-devel
BuildRequires:  liblo-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Requires:       dssi

%description
Hexter is a software synthesizer that models the sound generation of
a Yamaha DX7 synthesizer.  It can easily load most DX7 patch bank
files, edit those patches via a built-in editor or MIDI sys-ex
messages (ALSA systems only), and recreate the sound of the DX7 with
greater accuracy than any previous open-source emulation (that the
author is aware of....)

Hexter operates as a plugin for the DSSI Soft Synth Interface. DSSI
is a plugin API for software instruments (soft synths) with user
interfaces, permitting them to be hosted in-process by audio
applications.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
find . %{buildroot} -name "*.la" -print -delete

%files
%license COPYING
%doc AUTHORS ChangeLog README.rst TODO
%dir %{_libdir}/dssi
%{_libdir}/dssi/hexter.so
%{_libdir}/dssi/hexter*
%{_datadir}/%{name}

%changelog
* Thu Apr 15 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to 1.1.1
  * Fixes a bug under gcc 9+ which causes the GUI to not start.
- Update to 1.1.0
  * Fixed a crash of the widgy editor on ARM targets
  * Added support for hosts which don't support run_multiple_synths(),
    for example, Carla and Renoise. Each plugin instance is run
    separately, and support for the global polyphony limit has
    been removed.
* Mon Oct  6 2014 davejplater@gmail.com
- Enable build for SLE_11_SP3.
* Sun Oct  5 2014 davejplater@gmail.com
- Created package hexter version 1.0.3
